/*This do-file maps five variables into a commoditization measure and produces the data for Figure 6*/

clear

insheet using "Commoditization and Mobile Penetration by Category 2012.txt"

gen mobile_share = mobile_purchases/total_purchases
gen adopter_core_share = adopter_core_purchases/total_purchases
gen share_new_title = new_in_title/total_purchases
gen share_experiments = total_pt_of_exp/total_purchases
gen share_multiunit_sales = multi_unit_sales/total_purchases
gen share_catalogue =  total_in_catalogue/total_purchases
gen share_multiunit_slr =  slr_sales_in_cat/total_purchases

egen avg_commoditization_measure = rowmean(share_new_title share_experiments share_multiunit_sales share_catalogue share_multiunit_slr)

pca share_new_title share_experiments share_multiunit_sales share_catalogue share_multiunit_slr
predict pca_commoditization_measure

gsort- total_purchases

outsheet using "Commoditization and Mobile Penetration 2012.xls", replace
